Subject: Re: emacs lockup w/ TERM = linux
From: Bill Priest <[email-masked]>
To: David Starks-Browning <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Nov 2002 15:25:11 -0800 (PST)

--- David Starks-Browning <[email-masked]> wrote:
> On Friday 15 Nov 02, Bill Priest writes:
> > All,
> >     Another piece of the puzzle.
> > 
> > if TERM = linux inside rxvt (windows version) then
> > emacs hangs while loading the lisp files; status
> line
> > freezes on "Loading international/mule-cmds..."

This happens on win2k

> 
> OK, there is indeed something wierd going on with
> TERM=linux.  Not as
> you describe, but the screen fills with ;2cl; (or
> something like that)
> and C-x C-c doesn't work.  I can't attach with
> strace.  This is Win98.

I've seen that with win98 when I rlogin into my linux
machine.

> 
> I have no problems with TERM=cygwin or TERM=vt200,
> for example:
> 
> TERM=cygwin emacs-nox -q
> TERM=vt200 emacs-nox -q
> 
> But the default for rxvt is "xterm".  Why are you
> using "linux"?  Have
> you tried using the default "xterm"?

Yes, xterm works fine.  But linux used to work.  I
used
linux because a lot of the time I rlogin into my linux
machine.

I'll try xterm; but I seem to remember having some
kind of problem doing this.  I've been using cygwin
since b18 and keep using/copying the same .tcshrc
file; so setting it to linux could be something that I
did a long time ago that has since been fixed.  Might
even have been a problem on linux.

Sorry for not indicating that this was a win2k
specific
thing.  The win98 incarnation is really ugly.

Thanks for the heads up on xterm,

Bill

__________________________________________________
Do you Yahoo!?
Yahoo! Web Hosting - Let the expert host your site
http://webhosting.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/